<?php
/**
 * $Id: cart.admin.inc,v 1.1.2.1 2007/09/09 19:27:53 brmassa Exp $
 * @author e-Commerce Dev Team
 * @file cart.admin.inc
 * Admin page for car.module
 */

/**
 * Form for determining the order of the checkout screens.
 *
 * @ingroup form
 */
function checkout_admin_screen_form() {
  $form = array();
  $screens = checkout_get_screens();
  foreach ($screens as $i => $name) {
    $disabled = ($name == 'ec_anon' || $name == 'cart');
    $form['module'][$name] = array(
      '#type' => 'textfield',
      '#default_value' => $i,
      '#size' => 5,
      '#maxlength' => 2,
    );
    if (!empty($disabled)) {
      $form['module'][$name]['#disabled'] = TRUE;
    }
  }

  if (isset($form['module'])) {
    $form['module']['#tree'] = TRUE;
  }
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Update screen order')
    );

  return $form;
}

/**
 * Form for determining the order of the checkout screens.
 *
 * @ingroup form
 */
function checkout_admin_screen_form_submit($form_id, $form_values) {
  $modules = (array)$form_values['module'];
  asort($modules);

  $ordered = array('ec_anon');
  foreach ($modules as $key => $value) {
    if ($key != 'ec_anon' && $key != 'cart') {
      $ordered[] = $key;
    }
  }
  $ordered[] = 'cart';

  variable_set('ec_checkout_screens', $ordered);
  drupal_set_message(t('The screen order has been saved.'));
  menu_rebuild();
}

/**
 * Themes the admin screen
 * @ingroup themeable
 */
function theme_checkout_admin_screen_form($form) {
  $output = '';
  $header = array(t('Module'), t('Screen order'));
  $screens = checkout_get_screens();

  foreach ($screens as $i => $name) {
    $rows[] = array($name, drupal_render($form['module'][$name]));
  }
  $output .= theme('table', $header, $rows);
  $output .= drupal_render($form);

  return $output;
}