<?php
/**
 * $Id: shipping.views.inc,v 1.1.2.2 2007/07/29 22:25:04 brmassa Exp $
 * @author e-Commerce Dev Team
 * @file shipping.views.inc
 * Shipping integration with Views.
 */

/**
 * Implementation of hook_views_tables()
 */
function shipping_views_tables() {
  $tables['ec_product_tangible'] = array(
    'name' => 'ec_product_tangible',
    'join' => array(
      'left' => array(
        'table' => 'node',
        'field' => 'nid'
      ),
      'right' => array(
        'field' => 'nid'
      ),
    ),
    'filters' => array(
      'out_of_stock' => array(
        'name'      => 'Product: Is in stock (or stock is not managed)',
        'operator'  => array('=' => 'Equals'),
        'list'      => 'views_handler_operator_yesno',
        'list-type' => 'select',
        'handler'   => 'shipping_views_handler_filter_stock',
        'cacheable' => 'no'
      ),
    ),
  );
  return $tables;
}

/**
 * Filter Nodes based on being out of stock.
 */
function shipping_views_handler_filter_stock($op, $filter, $filterinfo, &$query) {
  switch ($op) {
    case 'handler':
      switch ($filter['value'][0]) {
        case '0': // Out of Stock
          $query->add_where('ec_product_tangible.manage_stock = 1 AND
            ec_product_tangible.stock < 1');
          break;
        case '1': // Available
          $query->add_where('(ec_product_tangible.manage_stock IS NULL OR
            ec_product_tangible.manage_stock = 0 OR
            (ec_product_tangible.manage_stock = 1 AND ec_product_tangible.stock > 0))');
          break;
      }
      break;
  }
}
