<?php
/**
 * $Id: store.views.inc,v 1.1.2.3 2007/08/13 03:45:04 brmassa Exp $
 * @author e-Commerce Dev Team
 * @file product.views.inc
 * Store integration with Views.
 * @todo Will need to add ec_transaction at some point so we can filter on transaction status
 * @todo: Things I would like to provide: filters, is_recurring, number of purchases
 */

/**
 * Implementation of hook_views_tables()
 */
function store_views_tables() {
  $tables['ec_transaction_product'] = array(
    'name' => 'ec_transaction_product',
    'join' => array(
      'left' => array(
        'table' => 'node',
        'field' => 'nid'
      ),
      'right' => array(
        'field' => 'nid'
      )
    ),
    'fields' => array(
      'title' => array(
        'name'          => t('Purchased Product: Title'),
        'sortable'      => true,
      ),
      'qty' => array(
        'name'          => t('Purchased Product: Quantity'),
        'sortable'      => true,
      ),
      'price' => array(
        'name'          => t('Purchased Product: Price'),
        'sortable'      => true,
      ),
      'product_count' => array(
        'handler'       => 'store_views_handler_product_count',
        'name'          => t('Purchased Product: Number of Purchases'),
        'notafield'     => true,
        'query_handler' => 'store_views_query_handler_product_count',
        'sortable'      => true,
      )
    ),
    'sorts' => array(
      'title' => array(
        'name' => t('Purchased Product: Title'),
      ),
      'qty' => array(
        'name' => t('Purchased Product: Quantity'),
      ),
      'price' => array(
        'name' => t('Purchased Product: Price'),
      ),
      'product_count' => array(
        'name' => t('Purchased Product: Number of Purchases'),
        'handler' => 'store_views_sort_handler_product_count',
      )
    )
  );
  return $tables;
}

/**
 * Field handler for count of purchases products
 */
function store_views_query_handler_product_count($field, &$fieldinfo, &$query) {
  $query->ensure_table($field['tablename']);
  $query->add_field('count( '. $field['tablename'] .'.nid )', '', $field['tablename'] .'_product_count');
  $query->add_groupby('node.nid');
}

/**
 * Field handler for count of purchases products
 */
function store_views_handler_product_count($fieldinfo, $fielddata, $value, $data) {
  $field = $fielddata['tablename'] .'_product_count';
  return $data->$field;
}

/**
 * Sort handler for count of purchased products
 */
function store_views_sort_handler_product_count($op, &$query, $sortdata, $sort) {
  $query->ensure_table($sortdata['table']);
  $query->add_orderby('', 'count( '. $sortdata['table'] .'.nid )', $sort['sortorder'], $sortdata['table'] .'_product_count');
  $query->add_groupby('node.nid');
}
