<?php
/**
 * $Id: subproducts.views.inc,v 1.1.2.1 2007/07/29 05:36:12 brmassa Exp $
 * @author Bruno Massa
 * @file subproducts.views.inc
 * Subproducts integration with Views.
 */

/**
 * Implementation of hook_views_tables()
 */
function subproducts_views_tables() {
  $tables['ec_sp_pproduct'] = array(
    'filters' => array(
      'pproduct' => array(
        'handler'  => 'subproducts_views_is_pproduct',
        'help'     => t('Filter the product based upon the product being a normal product or a subproduct'),
        'name'     => 'Product: Is Subproduct',
        'value'    => array(
          '#type'     => 'select',
          '#options'  => array(t('Parent Product'), t('Subproduct'))
        ),
        'operator' => array('=' => t('Equals')),
      )
    ),
    'join' => array(
      'left' => array(
        'field'     => 'nid',
        'table'     => 'node'
      ),
      'right' => array(
        'field'     => 'nid',
      )
    )
  );
  return $tables;
}

/**
 * Filter Nodes based on being a Subproduct or not.
 */
function subproducts_views_is_pproduct($op, $filter, $filterinfo, &$query) {
  switch ($op) {
    case 'handler':
      $query->ensure_table('ec_sp_pproduct');
      switch ($filter['value'][0]) {
        case '0':
          $query->add_where('ec_sp_pproduct.pproduct IS NULL');
          break;
        case '1':
          $query->add_where('ec_sp_pproduct.pproduct IS NOT NULL');
          break;
      }
      break;
  }
}
